<div ui-view class='prescription-list'>
  <div class="row mt-3">
        <div class="col-5">
            <div class="form-group">
                <div style="position: relative;">
                    <input type="text" class="form-control " ng-model="$ctrl.keyword"
                        ng-keyup="$ctrl.search()" autocomplete="off"
                        placeholder="Search by Patient NRIC/ Name/ Prescription ID">
                    <i class="fas fa-search search-icon-pos"></i>
                </div>
            </div>
        </div>
        <div class="col-7">
          <button class="btn bio-btn-view add-patient-btn d-none d-md-block" ui-sref="prescription.new" ui-sref-opts="{reload: true, notify: true}">Create Prescription</button>
        </div>
    </div>
    <div class="row mt-3">
        <div class="col">
            <div class="test_order_history_wrapper">
                <table class="table biomark-table">
                    <thead>
                        <tr>
                            <th>ID NO.</th>
                            <th>PATIENT NAME</th>
                            <th>PRESCRIPTION ID</th>
                            <th>PRESCRIPTION DATE</th>
                            <th>ACTION</th>
                        </tr>
                    </thead>
                    <tbody style = "cursor: pointer;" ng-click="$ctrl.showPrescriptionDetail()">
                        <tr ng-repeat="a in $ctrl.prescriptions">
                            <td class="size-12">
                                {{a.ic_no}}
                            </td>
                            <td>
                                <div class="row no-gutters">
                                    <div class="col my-auto size-12">
                                        <p>{{a.patient_name}}</p>
                                    </div>
                                </div>
                            </td>
                            <td class="size-12">
                                {{a.id}}
                            </td>
                            <td class="size-12">
                                {{a.prescription_date}}
                            </td>
                            <td class="size-12">
                              <button class="view_order_btn size-12" style="background-color:white;"
                                    ui-sref="prescription.detail({id: a.id})"><b>View</b></button>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <pagination ng-if="$ctrl.worklist.data.length > 0" config="vm.page_config" paginate="vm.paginate">
                </pagination>
            </div>
        </div>
    </div>

</div>

